<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/


// no direct access
defined('_JEXEC') or die;
if(!defined('DS')){
	define('DS',DIRECTORY_SEPARATOR);
}

$document 					= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_eco_bxslider_images_phoca_galler/assets/css/jquery.bxslider.css');

if (!JComponentHelper::isEnabled('com_phocagallery', true)) {
	return JError::raiseError(JText::_('Phoca Gallery Error'), JText::_('Phoca Gallery is not installed on your system'));
}

if (! class_exists('PhocaGalleryLoader')) {
    //require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_phocagallery'.DS.'libraries'.DS.'loader.php');
	require_once (JPATH_ADMINISTRATOR.'/components/com_phocagallery/libraries/loader.php'); 
}

phocagalleryimport('phocagallery.path.path');
phocagalleryimport('phocagallery.file.file');
phocagalleryimport('phocagallery.file.filethumbnail');		


$ext_jquery_ver				= $params->get('ext_jquery_ver', '1.8.3');
$ext_load_jquery			= (int)$params->get('ext_load_jquery', 1);
$ext_load_easing			= (int)$params->get('ext_load_easing', 1);
$ext_load_bxslider			= (int)$params->get('ext_load_bxslider', 1);
/*
*/
$catId 						= (int)$params->get('category_id', 1);
$count						= (int)$params->get('count_images', 5);
/*
*/	
$moduleclass_sfx			= $params->get('moduleclass_sfx');
$ext_id						= $params->get('ext_id');

// all img
//$ext_width				= (int)$params->get('ext_width' , 300);
//$ext_height				= (int)$params->get('ext_height', 200);

// bxSlider options - http://bxslider.com/options
$ext_mode					= $params->get('ext_mode', 'horizontal');
$ext_speed					= (int)$params->get('ext_speed', 500);
$ext_controls				= $params->get('ext_controls', 'true');
$ext_auto					= $params->get('ext_auto', 'false');
$ext_autohover				= $params->get('ext_autohover', 'false');
$ext_pause					= (int)$params->get('ext_pause', 3000);
$ext_auto_controls			= $params->get('ext_auto_controls', 'true');
$ext_auto_delay				= (int)$params->get('ext_auto_delay', 0);
$ext_pager					= $params->get('ext_pager', 'true');
$ext_pager_type 			= $params->get('ext_pager_type', 'full');
$ext_pager_saparator		= $params->get('ext_pager_saparator', '/');
$ext_min_slides				= (int)$params->get('ext_min_slides', 1);
$ext_max_slides				= (int)$params->get('ext_max_slides', 1);
$ext_slide_width			= (int)$params->get('ext_slide_width', 0);
$ext_slide_margin			= (int)$params->get('ext_slide_margin', 0);
$ext_adaptive_height		= $params->get('ext_adaptive_height', 'false');
$ext_adaptive_height_speed	= (int)$params->get('ext_adaptive_height_speed', 500);
$ext_easing					= $params->get('ext_easing', 'null');
$ext_captions				= $params->get('ext_captions', 'false');
//$ext_ticker 				= $params->get('ext_ticker', 'false');
//$ext_ticker_hover			= $params->get('ext_ticker_hover', 'false');
$ext_random_start			= $params->get('ext_random_start', 'false');


$ext_script = <<<SCRIPT


var jQ = false;
function initJQ() {
	if (typeof(jQuery) == 'undefined') {
		if (!jQ) {
			jQ = true;
			document.write('<scr' + 'ipt type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/$ext_jquery_ver/jquery.min.js"></scr' + 'ipt>');
		}
		setTimeout('initJQ()', 50);
	}
}
initJQ(); 


SCRIPT;

	if ($ext_load_jquery > 0) {
		$document->addScriptDeclaration($ext_script);
	}	
	if ($ext_load_easing  > 0) { 
		$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_eco_bxslider_images_phoca_galler/assets/js/jquery.easing.1.3.js"></script>'); 
		}
	if ($ext_load_bxslider > 0) {	
		$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_eco_bxslider_images_phoca_galler/assets/js/jquery.bxslider.min.js"></script>');
		}	
	$document->addCustomTag('<script type = "text/javascript">if (jQuery) jQuery.noConflict();</script>');	
	

//SQL	
	$db 		= JFactory::getDBO();	
	$query      = ' SELECT a.title, a.description, a.filename'
			. ' FROM #__phocagallery_categories AS cc'
			. ' LEFT JOIN #__phocagallery AS a ON a.catid = cc.id'
			. ' WHERE a.published = 1 AND a.catid = ' . (int)$catId
			//. ' WHERE cc.published = 1 AND a.published = 1 AND a.catid = ' . (int)$catId
			//. ' ORDER BY RAND()'
			. ' ORDER BY a.ordering'
			. ' LIMIT '.(int)$count;
	$db->setQuery($query);
	$images = $db->loadObjectList();


require JModuleHelper::getLayoutPath('mod_eco_bxslider_images_phoca_galler', $params->get('layout', 'default'));

?>